Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyFieldDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyFieldDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyFieldDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

public class SimpleGroovyFieldDoc extends SimpleGroovyMemberDoc implements GroovyFieldDoc

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `belongsToClass`

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyFieldDoc(String name, GroovyClassDoc belongsToClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `constantValue()`
  `String`
  `constantValueExpression()`
  `boolean`
  `isTransient()`
  `boolean`
  `isVolatile()`
  `void`
  `setConstantValueExpression(String constantValueExpression)`
  `void`
  `setType(GroovyType type)`
  `GroovyType`
  `type()`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `commentText, firstSentenceCommentText, isSynthetic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

  `isAbstract, setAbstract`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

  `isSynthetic`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Constructor Details

  - ### SimpleGroovyFieldDoc

    public SimpleGroovyFieldDoc(String name, GroovyClassDoc belongsToClass)

- ## Method Details

  - ### constantValue

    public Object constantValue()
    Specified by:
      `constantValue` in interface `GroovyFieldDoc`

  - ### setConstantValueExpression

    public void setConstantValueExpression(String constantValueExpression)

  - ### constantValueExpression

    public String constantValueExpression()
    Specified by:
      `constantValueExpression` in interface `GroovyFieldDoc`

  - ### isTransient

    public boolean isTransient()
    Specified by:
      `isTransient` in interface `GroovyFieldDoc`

  - ### isVolatile

    public boolean isVolatile()
    Specified by:
      `isVolatile` in interface `GroovyFieldDoc`

  - ### type

    public GroovyType type()
    Specified by:
      `type` in interface `GroovyFieldDoc`

  - ### setType

    public void setType(GroovyType type)